
k = {} --x of table
l = {} --y of table

player = {1,1}

--setting up table
for i = 1, (8*32) do

		if (i == 1) or i % 32 == 0 then
			table.insert(k,i)

		end
end

for j = 1, (7*32) do

		if (j == 1) or j % 32 == 0 then
		table.insert(l,j)

		end
end
-------------

--keypress
DownPressed = false
UpPressed = false
LeftPressed = false
RightPressed = false
--

function love.load()
love.window.setMode(800, 600, {fullscreen=true})
love.graphics.setDefaultFilter("nearest", "nearest")

local width, height = love.window.getDesktopDimensions()

cell = love.graphics.newImage("cell.png")
playerLeft = love.graphics.newImage("leftMove.png")
playerRight = love.graphics.newImage("rightMove.png")
playerDraw = "drawLeft"
sound = love.audio.newSource("railroads.mp3", "stream")
move = love.audio.newSource("jump.wav", "stream")
sound:setLooping(true)
love.audio.play(sound)

end



function love.update()

if love.keyboard.isDown( "down" ) and DownPressed == false then
	player[2] = player[2] + 1
love.audio.play(move)
if playerDraw == "drawLeft" then
	playerDraw = "drawRight"
elseif playerDraw == "drawRight" then
	playerDraw = "drawLeft"
end

	if player[2] > 7 then
		player[2] = 1
	end

	DownPressed = true
elseif DownPressed == true then

	function love.keyreleased( key )
	   if key == "down" then
	      DownPressed = false
	   end
	end

elseif love.keyboard.isDown( "up" ) and UpPressed == false then
	player[2] = player[2] - 1
love.audio.play(move)
	if playerDraw == "drawLeft" then
		playerDraw = "drawRight"
	elseif playerDraw == "drawRight" then
		playerDraw = "drawLeft"
	end

	if player[2] < 1 then
		player[2] = 7
	end

	UpPressed = true
elseif UpPressed == true then

	function love.keyreleased( key )
	   if key == "up" then
	      UpPressed = false
	   end
	end

elseif love.keyboard.isDown( "left" ) and LeftPressed == false then
	player[1] = player[1] - 1
love.audio.play(move)
	if playerDraw == "drawLeft" then
		playerDraw = "drawRight"
	elseif playerDraw == "drawRight" then
		playerDraw = "drawLeft"
	end

	if player[1] < 1 then
		player[1] = 8
	end

	LeftPressed = true
elseif LeftPressed == true then

	function love.keyreleased( key )
	   if key == "left" then
	      LeftPressed = false
	   end
	end

elseif love.keyboard.isDown( "right" ) and RightPressed == false then
	player[1] = player[1] + 1
love.audio.play(move)
	if playerDraw == "drawLeft" then
		playerDraw = "drawRight"
	elseif playerDraw == "drawRight" then
		playerDraw = "drawLeft"
	end

	if player[1] > 8 then
		player[1] = 1
	end

	RightPressed = true
elseif RightPressed == true then

	function love.keyreleased( key )
	   if key == "right" then
	      RightPressed = false
	   end
	end

end


end

function love.draw()
love.graphics.translate(32*6,0)
love.graphics.scale(4, 4)

	for i=1,8 do
		for j=1,7 do
			if i==player[1] and j==player[2] then
				if playerDraw == "drawLeft" then
				love.graphics.draw(playerLeft, k[i],l[j])
			elseif playerDraw == "drawRight" then
				love.graphics.draw(playerRight, k[i],l[j])
			end
			else
				love.graphics.draw(cell, k[i],l[j])
			end
		end
	end


	for i = 1,(640) do
		for j = 1, (480) do
			if (i == 1 and j == 1) or (i == 1 and j%32 == 0) or (j == 1 and i%32 == 0) or(i%32 == 0) and (j%32== 0) then
				--love.graphics.draw(cell, i, j)
			end
		end
	end

end
